/** 
 *  Yudit Unicode Editor Source File
 *
 *  Copyright (C) 2000  Gaspar Sinai <gsinai@yudit.org>  
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef SListBox_h
#define SListBox_h

#include "swidget/STextList.h"
#include "swidget/SSlider.h"
#include "swidget/SBorder.h"
#include "swidget/SLabel.h"

class SListBox : public SPanel
{
public:
  SListBox (const SString& title);
  virtual ~SListBox ();
  void setText (const SStringVector& v);

  bool selectText (const SString& s);
  bool selectItem (int item);

  void setListListener (SListListener* l);
  virtual void setLayout (const SLayout& layout);
  STextList* textList;
  virtual void resize(const SDimension& d);
  virtual void redraw (SWindow *canvas, int x, int y, 
     unsigned int width, unsigned int height);
  virtual void setBackground (const SColor& bg);
  virtual void setLabelForeground (const SColor& fg);
  virtual void setSliderBackground (const SColor& bg);
  void setFont (const SString& font, double fontSize=0.0);
  void setFontSize (double fontSize);
protected:
  void recalc();
  SLabel* topLabel;
  SSlider* slider;
  SBorder  border;
};

#endif /* SListBox_h */
